#!/bin/sh
#
# Copyright (c) 1999-2015 Easysoft Ltd. All rights reserved.
#
# $Id: tdshelper.sh 65 2007-01-22 18:16:28Z nick $
#
# Wrapper to ensure the dynamic linker can find all the necessary
# libraries.
#
#

if [ -z "$EASYSOFT_ROOT" ];then
	if [ -r /usr/local/easysoft/etc/es.ld.so.conf ];then
  		ldpaths=`cat  /usr/local/easysoft/etc/es.ld.so.conf `
  		ldpaths=`echo  $ldpaths | sed 's/ /:/g'`
  		LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ldpaths
  		export LD_LIBRARY_PATH
  		DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$ldpaths
  		export DYLD_LIBRARY_PATH
  		SHLIB_PATH=$SHLIB_PATH:$ldpaths
  		export SHLIB_PATH
  		LIBPATH=$LIBPATH:$ldpaths
  		export LIBPATH
	fi
	/usr/local/easysoft/sqlserver/bin/tdshelper $*
else
	if [ -r $EASYSOFT_ROOT/etc/es.ld.so.conf ];then
  		ldpaths=`cat  $EASYSOFT_ROOT/etc/es.ld.so.conf `
  		ldpaths=`echo  $ldpaths | sed 's/ /:/g'`
  		LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ldpaths
  		export LD_LIBRARY_PATH
  		DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$ldpaths
  		export DYLD_LIBRARY_PATH
  		SHLIB_PATH=$SHLIB_PATH:$ldpaths
  		export SHLIB_PATH
  		LIBPATH=$LIBPATH:$ldpaths
  		export LIBPATH
	fi
	$EASYSOFT_ROOT/sqlserver/bin/tdshelper $*
fi
